Bug 18919 - "Transaction Branch" select field broken in Cash register statistics
Summary: "Transaction Branch" select field broken in Cash register statistics
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Baptiste
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-10 08:11 UTC by Baptiste
Modified: 2017-09-06 13:39 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18919: Repair "Transaction branch" in cash_register_stats.pl (806 bytes, patch)
2017-07-10 08:13 UTC, Baptiste
Details | Diff | Splinter Review
Bug 18919: Repair "Transaction branch" in cash_register_stats.pl (1.59 KB, patch)
2017-07-10 08:16 UTC, Baptiste
Details | Diff | Splinter Review
Bug 18919: Repair "Transaction branch" in cash_register_stats.pl (1.82 KB, patch)
2017-07-10 08:27 UTC, Baptiste
Details | Diff | Splinter Review
Bug 18919: Repair "Transaction branch" in cash_register_stats.pl (1.92 KB, patch)
2017-07-27 20:38 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 18919: Repair "Transaction branch" in cash_register_stats.pl (1.97 KB, patch)
2017-07-31 10:36 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Baptiste 2017-07-10 08:11:02 UTC
To reproduce:
domain/cgi-bin/koha/reports/cash_register_stats.pl

transaction branch
all => you can see every cashing
any branch => you can see every or no cashing (I don't know exactly on what it depends)
Comment 1 Baptiste 2017-07-10 08:13:48 UTC Comment hidden (obsolete)
Comment 2 Baptiste 2017-07-10 08:16:10 UTC Comment hidden (obsolete)
Comment 3 Baptiste 2017-07-10 08:27:02 UTC
Created attachment 64950 [details] [review]
Bug 18919: Repair "Transaction branch" in cash_register_stats.pl

- values of the option fields are now correctly loaded

TEST PLAN:
go to domain/cgi-bin/koha/reports/cash_register_stats.pl
1 - Make a report for all branches => it works
2 - Make a report for any branch => you will get the same or no result
3 - apply patch
4 - Repeat 2 => it should work
Comment 4 Alex Buckley 2017-07-27 20:38:02 UTC
Created attachment 65297 [details] [review]
Bug 18919: Repair "Transaction branch" in cash_register_stats.pl

- values of the option fields are now correctly loaded

TEST PLAN:
go to domain/cgi-bin/koha/reports/cash_register_stats.pl
1 - Make a report for all branches => it works
2 - Make a report for any branch => you will get the same or no result
3 - apply patch
4 - Repeat 2 => it should work

Followed test plan worked as intended
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 5 Nick Clemens 2017-07-31 10:36:31 UTC
Created attachment 65332 [details] [review]
Bug 18919: Repair "Transaction branch" in cash_register_stats.pl

- values of the option fields are now correctly loaded

TEST PLAN:
go to domain/cgi-bin/koha/reports/cash_register_stats.pl
1 - Make a report for all branches => it works
2 - Make a report for any branch => you will get the same or no result
3 - apply patch
4 - Repeat 2 => it should work

Followed test plan worked as intended
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Jonathan Druart 2017-08-15 15:27:48 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin SOMERS 2017-09-06 13:39:12 UTC
Pushed to 17.05.x, will be in 17.05.04